> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Safe Wallet

> Creates a legacy SafeWallet row plus a SAFE custody wallet with signer details, then refreshes its balance asynchronously.

Not available to API keys yet. It will need `wallets:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/create-safe-wallet
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/create-safe-wallet:
    post:
      operationId: createSafeWallet
      summary: Create Safe Wallet
      description: >-
        Creates a legacy SafeWallet row plus a SAFE custody wallet with signer
        details, then refreshes its balance asynchronously.


        Not available to API keys yet. It will need `wallets:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateSafeWalletRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateSafeWalletResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    CreateSafeWalletRequest:
      type: object
      properties:
        wallet_address:
          type: string
          minLength: 1
          maxLength: 200
        signers:
          type: string
          minLength: 1
          maxLength: 10000
        network:
          type: string
          minLength: 1
          maxLength: 100
        walletName:
          type: string
          minLength: 1
          maxLength: 200
        safeOwner:
          type: string
          minLength: 1
          maxLength: 200
        wallet_link:
          type: string
          format: uri
        orgID:
          type: string
          format: uuid
      required:
        - wallet_address
        - signers
        - network
        - walletName
        - safeOwner
        - wallet_link
        - orgID
    CreateSafeWalletResponse:
      type: object
      properties:
        safe:
          type: object
          properties:
            safeWalletID:
              type: string
            orgID:
              type: string
            safeWalletLink:
              type: string
            safeWalletAddress:
              type: string
            safeWalletName:
              type: string
            signers:
              type:
                - string
                - 'null'
            tokenAllocation:
              type:
                - string
                - 'null'
            network:
              type:
                - string
                - 'null'
            status:
              type:
                - boolean
                - 'null'
            roleInOrgID:
              type:
                - string
                - 'null'
            grantID:
              type:
                - string
                - 'null'
            walletType:
              type: string
            createdAt:
              type: string
            updatedAt:
              type: string
            deletedAt:
              type:
                - string
                - 'null'
            balanceAmount:
              type:
                - string
                - 'null'
            balanceUpdatedAt:
              type:
                - string
                - 'null'
            updatingBalance:
              type:
                - boolean
                - 'null'
            legacyMigratedAt:
              type:
                - string
                - 'null'
            legacyModelID:
              type:
                - integer
                - 'null'
          required:
            - safeWalletID
            - orgID
            - safeWalletLink
            - safeWalletAddress
            - safeWalletName
            - signers
            - tokenAllocation
            - network
            - status
            - roleInOrgID
            - grantID
            - walletType
            - createdAt
            - updatedAt
            - deletedAt
            - balanceAmount
            - balanceUpdatedAt
            - updatingBalance
            - legacyMigratedAt
            - legacyModelID
      required:
        - safe
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
